List Pending Bills
Retrieve a list of pending bills and other bill related information. Filter by biller category, auto fetch enablement, and sort by due date or creation date.
API URL: https://api.bulkpe.in/client/bbps/listPendingBills
Method: GET
Auth: Please refer to the Authorization page.
Parameters : Query Params
Note: All parameters below are passed as query parameters in the URL - not in the request body. In Postman, use the Params tab.
curl --location 'https://api.bulkpe.in/client/bbps/listPendingBills?isAutofetchEnabled=1&sort=dueDate&order=desc&page=1&limit=25' \
--header 'Authorization: Bearer aWSVQNyt+z3IiJHV+YX9UmGTKPv9cm3rHmN1DQpGeZqKKjkCmSz06PSbkpTv+r2JrOUyZ1isxD98CmsA0L18c3b236Mo+fxzB/JFJJKmdjjd5weK5k548vjj=='
| Parameter | Type | Required | Values |
| page | integer | Optional | Page number for pagination. |
| limit | integer | Optional | Number of records to return per page. Maximum limit per page is 50. |
| billerCategory | string | Optional | Filter results by biller category name like Credit Card or Electricity. Visit List Categories page to view all categories. |
| isAutofetchEnabled | integer | Optional |
1 - List active bill accounts. 2 - List disabled bill accounts.
|
| sort | string | Optional |
"dueDate" - Bills are sorted based on bill due date."createdAt" - Bills are sorted based on date of creation of bill account.
|
| order | string | Optional |
"asc" - bills are sorted in ascending order of sort parameter (dueDate or createdAt)."desc" - bills are sorted in descending order of sort parameter (dueDate or createdAt).
|
{
"status": true,
"statusCode": 200,
"data": [
{
"billerId": "HDFC00000NATW1",
"category": "Credit Card",
"billerName": "HDFC Credit Card",
"accountId": "",
"aliasName": "HDFC CARD",
"customerParams": [
{
"name": "Registered Mobile Number",
"value": "90XXXXXXXX"
},
{
"name": "Last 4 digits of Primary Credit Card Number",
"value": "1234"
}
],
"dueDate": "2026-04-04T00:00:00.000Z",
"billAmount": 33327,
"isAutofetchEnabled": true,
"costCenter": "",
"udf1": "",
"udf2": "",
"status": "ACTIVE",
"createdAt": "2024-12-12T11:55:12.359Z"
},
{
"billerId": "HDFC00000NATW1",
"category": "Credit Card",
"billerName": "HDFC Credit Card",
"accountId": "",
"aliasName": "HDFC CARD 2",
"customerParams": [
{
"name": "Last 4 digits of Primary Credit Card Number",
"value": "2345"
},
{
"name": "Registered Mobile Number",
"value": "90XXXXXXXX"
}
],
"dueDate": "2026-04-04T00:00:00.000Z",
"billAmount": 33327,
"isAutofetchEnabled": true,
"costCenter": "test",
"udf1": "test1",
"udf2": "",
"status": "ACTIVE",
"createdAt": "2024-12-12T11:55:16.899Z"
},
{
"billerId": "HDFC00000NATW1",
"category": "Credit Card",
"billerName": "HDFC Credit Card",
"accountId": "",
"aliasName": "HDFC Card 3",
"customerParams": [
{
"name": "Registered Mobile Number",
"value": "93XXXXXXXX"
},
{
"name": "Last 4 digits of Primary Credit Card Number",
"value": "3456"
}
],
"dueDate": "2026-04-01T00:00:00.000Z",
"billAmount": 88992,
"isAutofetchEnabled": true,
"costCenter": "",
"udf1": "",
"udf2": "",
"status": "ACTIVE",
"createdAt": "2025-05-19T08:24:30.542Z"
},
{
"billerId": "HPSEB0000HIP02",
"category": "Electricity",
"billerName": "HPSEB",
"accountId": "",
"aliasName": "Office electricity",
"customerParams": [
{
"name": "Consumer ID",
"value": "200XXXXXXXXX"
}
],
"dueDate": "2026-03-19T00:00:00.000Z",
"billAmount": 5473,
"isAutofetchEnabled": true,
"costCenter": "",
"udf1": "",
"udf2": "",
"status": "ACTIVE",
"createdAt": "2025-09-10T05:00:00.942Z"
},
{
"billerId": "ICIC00000NATSI",
"category": "Credit Card",
"billerName": "ICICI Credit card",
"accountId": "ABCD000XXX",
"aliasName": "ICICI CREDIT CARD",
"customerParams": [
{
"name": "Last 4 digits of Credit Card Number",
"value": "3456"
},
{
"name": "Registered Mobile Number",
"value": "95XXXXXXXX"
}
],
"dueDate": "2026-03-10T00:00:00.000Z",
"billAmount": 20952.83,
"isAutofetchEnabled": true,
"costCenter": "test1ind",
"udf1": "test2ind",
"udf2": "test3ind",
"status": "ACTIVE",
"createdAt": "2026-01-07T07:23:49.071Z"
}
],
"message": "",
"count": 1,
"total": 5,
"page": 1
}
count - total number of pages that exist.
total - Number of bills that are pending.
page - Shows the current page number.